libsigc++ 2.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
sigc::type_trait< const T_type & > Struct Template Reference

`#include <sigc++/type_traits.h>`

## Public Types
typedef const T_type& | pass
typedef const T_type* | pointer
typedef const T_type& | take
typedef const T_type | type

## Member Typedef Documentation

template <class T_type >

typedef const T_type& sigc::type_trait< const T_type& >::pass

template <class T_type >

typedef const T_type* sigc::type_trait< const T_type& >::pointer

template <class T_type >

typedef const T_type& sigc::type_trait< const T_type& >::take

template <class T_type >

typedef const T_type sigc::type_trait< const T_type& >::type